	.file	"font.cpp"
	.text
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	"FONT/mono.png"
.LC1:
	.string	"FONT/mono.tga"
	.text
	.align 2
	.globl	_ZN6TMFONT6TMFontEPKciif
	.type	_ZN6TMFONT6TMFontEPKciif, @function
_ZN6TMFONT6TMFontEPKciif:
.LFB3048:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	.cfi_offset 14, -24
	.cfi_offset 13, -32
	.cfi_offset 12, -40
	.cfi_offset 3, -48
1:	call	mcount
	movq	%rdi, %rbx
	movl	%edx, %r14d
	movl	%ecx, %r13d
	movd	%xmm0, %r12d
	movl	$_ZZN6TMFONT6TMFontEPKciifE9font_frag, %edx
	movl	$_ZZN6TMFONT6TMFontEPKciifE9font_vert, %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM12createShaderEPKcS1_
	movl	t(%rip), %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM13createProgramEj
	movl	%r14d, 84(%rbx)
	movl	%r13d, 88(%rbx)
	movl	%r12d, 80(%rbx)
	movq	$.LC0, 72(%rbx)
	movl	$mono5, %edx
	movl	$.LC0, %esi
	movl	$png5, %edi
	call	_ZN3PNG8read_pngEPKcPPh
	movq	$.LC1, 72(%rbx)
	movl	$mono5, %edx
	movl	$.LC1, %esi
	movl	$targa5, %edi
	call	_ZN5TARGA9readTargaEPKcPPh
	movl	$1, %eax
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3048:
	.size	_ZN6TMFONT6TMFontEPKciif, .-_ZN6TMFONT6TMFontEPKciif
	.align 2
	.globl	_ZN6TMFONT12MipmapsImageEiiPh
	.type	_ZN6TMFONT12MipmapsImageEiiPh, @function
_ZN6TMFONT12MipmapsImageEiiPh:
.LFB3049:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$3553, %edi
	call	glEnable
	movl	$33071, %edx
	movl	$10242, %esi
	movl	$3553, %edi
	call	glTexParameteri
	movl	$33071, %edx
	movl	$10243, %esi
	movl	$3553, %edi
	call	glTexParameteri
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3049:
	.size	_ZN6TMFONT12MipmapsImageEiiPh, .-_ZN6TMFONT12MipmapsImageEiiPh
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC3:
	.string	" COULD NOT INITIALIZE THE FONT "
	.section	.rodata.str1.1
.LC4:
	.string	"f_Vertex"
.LC5:
	.string	"f_TexCoord"
.LC6:
	.string	"texture3"
	.text
	.align 2
	.globl	_ZN6TMFONT8initFontEv
	.type	_ZN6TMFONT8initFontEv, @function
_ZN6TMFONT8initFontEv:
.LFB3050:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	subq	$64, %rsp
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rdi, %rbx
	movl	88(%rdi), %ecx
	movl	84(%rdi), %edx
	movss	.LC2(%rip), %xmm0
	movl	$.LC1, %esi
	movl	$tmfont5, %edi
	call	_ZN6TMFONT6TMFontEPKciif
	movl	%eax, %r12d
	testb	%al, %al
	je	.L9
	movq	mono5(%rip), %rcx
	movl	$1, %edx
	movl	$8, %esi
	movl	$tmfont5, %edi
	call	_ZN6TMFONT12MipmapsImageEiiPh
	pxor	%xmm1, %xmm1
	movaps	%xmm1, -48(%rbp)
	movups	%xmm1, -36(%rbp)
	movss	80(%rbx), %xmm0
	movss	%xmm0, -40(%rbp)
	movss	%xmm0, -32(%rbp)
	movss	%xmm0, -28(%rbp)
	movss	%xmm0, -20(%rbp)
	movl	$vbos5, %esi
	movl	$4, %edi
	call	*__glewGenBuffers(%rip)
	movl	vbos5+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	leaq	-48(%rbp), %rdx
	movl	$32, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	pxor	%xmm1, %xmm1
	movaps	%xmm1, -80(%rbp)
	movaps	%xmm1, -64(%rbp)
	movl	vbos5+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35048, %ecx
	leaq	-80(%rbp), %rdx
	movl	$32, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	$.LC4, %ecx
	movl	$0, %edx
	movl	t(%rip), %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM8LocationEjjPKc
	movl	$.LC5, %ecx
	movl	$1, %edx
	movl	t(%rip), %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM8LocationEjjPKc
	movl	t(%rip), %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM11linkProgramEj
	pxor	%xmm0, %xmm0
	movl	$.LC6, %edx
	movl	t(%rip), %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM7UniformEjPKcf
.L3:
	movl	%r12d, %eax
	addq	$64, %rsp
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L9:
	.cfi_restore_state
	movl	$31, %edx
	movl	$.LC3, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L10
	cmpb	$0, 56(%rbx)
	je	.L6
	movzbl	67(%rbx), %esi
.L7:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	jmp	.L3
.L10:
	call	_ZSt16__throw_bad_castv
.L6:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L7
	.cfi_endproc
.LFE3050:
	.size	_ZN6TMFONT8initFontEv, .-_ZN6TMFONT8initFontEv
	.align 2
	.globl	_ZN6TMFONT12setOrthoModeEv
	.type	_ZN6TMFONT12setOrthoModeEv, @function
_ZN6TMFONT12setOrthoModeEv:
.LFB3052:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rdi, %rbx
	movl	$5889, %edi
	call	glMatrixMode
	call	glPushMatrix
	call	glLoadIdentity
	pxor	%xmm3, %xmm3
	cvtsi2ssl	88(%rbx), %xmm3
	pxor	%xmm1, %xmm1
	cvtsi2ssl	84(%rbx), %xmm1
	movsd	.LC9(%rip), %xmm5
	movsd	.LC10(%rip), %xmm4
	cvtss2sd	%xmm3, %xmm3
	pxor	%xmm2, %xmm2
	cvtss2sd	%xmm1, %xmm1
	movapd	%xmm2, %xmm0
	call	glOrtho
	movl	$5888, %edi
	call	glMatrixMode
	call	glPushMatrix
	call	glLoadIdentity
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3052:
	.size	_ZN6TMFONT12setOrthoModeEv, .-_ZN6TMFONT12setOrthoModeEv
	.align 2
	.globl	_ZN6TMFONT14unsetOrthoModeEv
	.type	_ZN6TMFONT14unsetOrthoModeEv, @function
_ZN6TMFONT14unsetOrthoModeEv:
.LFB3053:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	call	glPopMatrix
	movl	$5889, %edi
	call	glMatrixMode
	call	glPopMatrix
	movl	$5888, %edi
	call	glMatrixMode
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3053:
	.size	_ZN6TMFONT14unsetOrthoModeEv, .-_ZN6TMFONT14unsetOrthoModeEv
	.section	.rodata.str1.1
.LC15:
	.string	"projection_matrix"
.LC16:
	.string	"modelview_matrix"
	.text
	.align 2
	.globl	_ZN6TMFONT11printStringEPKcff
	.type	_ZN6TMFONT11printStringEPKcff, @function
_ZN6TMFONT11printStringEPKcff:
.LFB3051:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$56, %rsp
	.cfi_offset 13, -24
	.cfi_offset 12, -32
	.cfi_offset 3, -40
1:	call	mcount
	movq	%rdi, %r12
	movq	%rsi, %r13
	movss	%xmm0, -68(%rbp)
	movss	%xmm1, -72(%rbp)
	movl	t(%rip), %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM10bindShaderEj
	movl	$tmfont5, %edi
	call	_ZN6TMFONT12setOrthoModeEv
	movl	$2884, %edi
	call	glDisable
	movl	$2929, %edi
	call	glDisable
	movl	64(%r12), %esi
	movl	$3553, %edi
	call	glBindTexture
	movl	$0, %edi
	call	*__glewEnableVertexAttribArrayARB(%rip)
	movl	$1, %edi
	call	*__glewEnableVertexAttribArrayARB(%rip)
	pxor	%xmm2, %xmm2
	movss	-72(%rbp), %xmm1
	movss	-68(%rbp), %xmm0
	call	glTranslatef
	movq	%r13, %rbx
	addq	$8, %r13
.L14:
	movsbl	(%rbx), %edx
	movl	%edx, %ecx
	sarl	$31, %ecx
	shrl	$28, %ecx
	leal	(%rdx,%rcx), %eax
	andl	$15, %eax
	subl	%ecx, %eax
	pxor	%xmm1, %xmm1
	cvtsi2ssl	%eax, %xmm1
	mulss	.LC12(%rip), %xmm1
	movss	%xmm1, -64(%rbp)
	leal	15(%rdx), %eax
	testl	%edx, %edx
	cmovns	%edx, %eax
	sarl	$4, %eax
	pxor	%xmm2, %xmm2
	cvtsi2ssl	%eax, %xmm2
	mulss	.LC12(%rip), %xmm2
	movss	.LC13(%rip), %xmm0
	subss	%xmm2, %xmm0
	movaps	%xmm0, %xmm3
	subss	.LC12(%rip), %xmm3
	movss	%xmm3, -60(%rbp)
	movss	.LC12(%rip), %xmm2
	addss	%xmm1, %xmm2
	movss	%xmm2, -56(%rbp)
	movss	%xmm3, -52(%rbp)
	movss	%xmm2, -48(%rbp)
	subss	.LC14(%rip), %xmm0
	movss	%xmm0, -44(%rbp)
	movss	%xmm1, -40(%rbp)
	movss	%xmm0, -36(%rbp)
	movl	vbos5+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	leaq	-64(%rbp), %rcx
	movl	$32, %edx
	movl	$0, %esi
	movl	$34962, %edi
	call	*__glewBufferSubData(%rip)
	movl	vbos5+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	leaq	32(%r12), %r9
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$2, %esi
	movl	$0, %edi
	call	*__glewVertexAttribPointerARB(%rip)
	movl	vbos5+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	%r12, %r9
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$2, %esi
	movl	$1, %edi
	call	*__glewVertexAttribPointerARB(%rip)
	movl	$_ZZN6TMFONT11printStringEPKcffE11projection1, %esi
	movl	$2983, %edi
	call	glGetFloatv
	movl	$_ZZN6TMFONT11printStringEPKcffE10modelview1, %esi
	movl	$2982, %edi
	call	glGetFloatv
	movl	$_ZZN6TMFONT11printStringEPKcffE11projection1, %r8d
	movl	$0, %ecx
	movl	$.LC15, %edx
	movl	t(%rip), %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM10Uniform4x4EjPKcbPKf
	movl	$_ZZN6TMFONT11printStringEPKcffE10modelview1, %r8d
	movl	$1, %ecx
	movl	$.LC16, %edx
	movl	t(%rip), %esi
	movl	$uniform5, %edi
	call	_ZN7UNIFORM10Uniform4x4EjPKcbPKf
	movl	$4, %edx
	movl	$0, %esi
	movl	$7, %edi
	call	glDrawArrays
	movss	.LC17(%rip), %xmm0
	mulss	80(%r12), %xmm0
	pxor	%xmm2, %xmm2
	movaps	%xmm2, %xmm1
	call	glTranslatef
	addq	$1, %rbx
	cmpq	%r13, %rbx
	jne	.L14
	movl	$0, %edi
	call	*__glewDisableVertexAttribArrayARB(%rip)
	movl	$1, %edi
	call	*__glewDisableVertexAttribArrayARB(%rip)
	movl	$tmfont5, %edi
	call	_ZN6TMFONT14unsetOrthoModeEv
	addq	$56, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3051:
	.size	_ZN6TMFONT11printStringEPKcff, .-_ZN6TMFONT11printStringEPKcff
	.type	_GLOBAL__sub_I_uniform5, @function
_GLOBAL__sub_I_uniform5:
.LFB3490:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$_ZStL8__ioinit, %edi
	call	_ZNSt8ios_base4InitC1Ev
	movl	$__dso_handle, %edx
	movl	$_ZStL8__ioinit, %esi
	movl	$_ZNSt8ios_base4InitD1Ev, %edi
	call	__cxa_atexit
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3490:
	.size	_GLOBAL__sub_I_uniform5, .-_GLOBAL__sub_I_uniform5
	.section	.init_array,"aw"
	.align 8
	.quad	_GLOBAL__sub_I_uniform5
	.local	_ZZN6TMFONT11printStringEPKcffE11projection1
	.comm	_ZZN6TMFONT11printStringEPKcffE11projection1,64,32
	.local	_ZZN6TMFONT11printStringEPKcffE10modelview1
	.comm	_ZZN6TMFONT11printStringEPKcffE10modelview1,64,32
	.section	.rodata
	.align 8
	.type	_ZZN6TMFONT6TMFontEPKciifE9font_frag, @object
	.size	_ZZN6TMFONT6TMFontEPKciifE9font_frag, 15
_ZZN6TMFONT6TMFontEPKciifE9font_frag:
	.string	"GLSL/font.frag"
	.align 8
	.type	_ZZN6TMFONT6TMFontEPKciifE9font_vert, @object
	.size	_ZZN6TMFONT6TMFontEPKciifE9font_vert, 15
_ZZN6TMFONT6TMFontEPKciifE9font_vert:
	.string	"GLSL/font.vert"
	.globl	mono5
	.bss
	.align 8
	.type	mono5, @object
	.size	mono5, 8
mono5:
	.zero	8
	.globl	t
	.align 4
	.type	t, @object
	.size	t, 4
t:
	.zero	4
	.globl	vbos5
	.align 16
	.type	vbos5, @object
	.size	vbos5, 16
vbos5:
	.zero	16
	.globl	png5
	.type	png5, @object
	.size	png5, 1
png5:
	.zero	1
	.globl	targa5
	.type	targa5, @object
	.size	targa5, 1
targa5:
	.zero	1
	.globl	tmfont5
	.align 32
	.type	tmfont5, @object
	.size	tmfont5, 96
tmfont5:
	.zero	96
	.globl	uniform5
	.align 32
	.type	uniform5, @object
	.size	uniform5, 80
uniform5:
	.zero	80
	.local	_ZStL8__ioinit
	.comm	_ZStL8__ioinit,1,1
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC2:
	.long	1103626240
	.section	.rodata.cst8,"aM",@progbits,8
	.align 8
.LC9:
	.long	0
	.long	1072693248
	.align 8
.LC10:
	.long	0
	.long	-1074790400
	.section	.rodata.cst4
	.align 4
.LC12:
	.long	1031798784
	.align 4
.LC13:
	.long	1065353216
	.align 4
.LC14:
	.long	981668463
	.align 4
.LC17:
	.long	1061997773
	.hidden	__dso_handle
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
